Index: /branches/HTM-9.2-dev0/source/Lib/TLibEncoder/TEncSbac.cpp
===================================================================
--- /branches/HTM-9.2-dev0/source/Lib/TLibEncoder/TEncSbac.cpp	(revision 763)
+++ /branches/HTM-9.2-dev0/source/Lib/TLibEncoder/TEncSbac.cpp	(revision 764)
@@ -95,10 +95,4 @@
 #if H_3D_DIM_DMM
 , m_cDmm1DataSCModel          ( 1,             1,               NUM_DMM1_DATA_CTX             , m_contextModels + m_numContextModels, m_numContextModels)
-#if !SEC_DMM3_RBC_F0147
-, m_cDmm3DataSCModel          ( 1,             1,               NUM_DMM3_DATA_CTX             , m_contextModels + m_numContextModels, m_numContextModels)
-#endif
-#endif
-#if H_3D_DIM_RBC
-, m_cRbcDataSCModel           ( 1,             1,               NUM_RBC_DATA_CTX              , m_contextModels + m_numContextModels, m_numContextModels)
 #endif
 #if H_3D_DIM_SDC
@@ -176,10 +170,4 @@
 #if H_3D_DIM_DMM
   m_cDmm1DataSCModel.initBuffer          ( eSliceType, iQp, (UChar*)INIT_DMM1_DATA );
-#if !SEC_DMM3_RBC_F0147
-  m_cDmm3DataSCModel.initBuffer          ( eSliceType, iQp, (UChar*)INIT_DMM3_DATA );
-#endif
-#endif
-#if H_3D_DIM_RBC
-  m_cRbcDataSCModel.initBuffer           ( eSliceType, iQp, (UChar*)INIT_RBC_DATA );
 #endif
 #if H_3D_DIM_SDC
@@ -266,10 +254,4 @@
 #if H_3D_DIM_DMM
       curCost += m_cDmm1DataSCModel.calcCost          ( curSliceType, qp, (UChar*)INIT_DMM1_DATA );
-#if !SEC_DMM3_RBC_F0147
-      curCost += m_cDmm3DataSCModel.calcCost          ( curSliceType, qp, (UChar*)INIT_DMM3_DATA );
-#endif
-#endif
-#if H_3D_DIM_RBC
-      curCost += m_cRbcDataSCModel.calcCost           ( curSliceType, qp, (UChar*)INIT_RBC_DATA );
 #endif
     }
@@ -337,10 +319,4 @@
 #if H_3D_DIM_DMM
   m_cDmm1DataSCModel.initBuffer          ( eSliceType, iQp, (UChar*)INIT_DMM1_DATA );
-#if !SEC_DMM3_RBC_F0147
-  m_cDmm3DataSCModel.initBuffer          ( eSliceType, iQp, (UChar*)INIT_DMM3_DATA );
-#endif
-#endif
-#if H_3D_DIM_RBC
-  m_cRbcDataSCModel.initBuffer           ( eSliceType, iQp, (UChar*)INIT_RBC_DATA );
 #endif
 #if H_3D_DIM_SDC
@@ -526,5 +502,4 @@
 }
 
-#if QC_DIM_DELTADC_UNIFY_F0132
 Void TEncSbac::xCodeDimDeltaDC( Pel valDeltaDC, UInt uiNumSeg )
 {
@@ -536,15 +511,4 @@
   }
 }
-#else
-Void TEncSbac::xCodeDimDeltaDC( Pel valDeltaDC, UInt dimType )
-{
-  xWriteExGolombLevel( UInt( abs( valDeltaDC ) ), m_cDdcDataSCModel.get(0, 0, (RBC_IDX == dimType) ? 1 : 0) );
-  if( valDeltaDC != 0 )
-  {
-    UInt uiSign = valDeltaDC > 0 ? 0 : 1;
-    m_pcBinIf->encodeBinEP( uiSign );
-  }
-}
-#endif
 
 #if H_3D_DIM_DMM
@@ -557,64 +521,6 @@
 }
 
-#if !SEC_DMM3_RBC_F0147
-Void TEncSbac::xCodeDmm3WedgeIdx( UInt uiIntraIdx, Int iNumBit )
-{
-  for( Int i = 0; i < iNumBit; i++ )
-  {
-    m_pcBinIf->encodeBin( ( uiIntraIdx >> i ) & 1, m_cDmm3DataSCModel.get(0, 0, 0) );
-  }
-}
-#endif
-#endif
-#if H_3D_DIM_RBC
-Void TEncSbac::xCodeRbcEdge( TComDataCU* pcCU, UInt uiAbsPartIdx )
-{
-  UInt   uiDepth        = pcCU->getDepth( uiAbsPartIdx ) + (pcCU->getPartitionSize( uiAbsPartIdx ) == SIZE_NxN ? 1 : 0);
-  UChar* pucSymbolList  = pcCU->getEdgeCode     ( uiAbsPartIdx );
-  UChar  ucEdgeNumber   = pcCU->getEdgeNumber   ( uiAbsPartIdx );
-  Bool   bLeft          = pcCU->getEdgeLeftFirst( uiAbsPartIdx );
-  UChar  ucStart        = pcCU->getEdgeStartPos ( uiAbsPartIdx );
-  UInt   uiSymbol;
-
-  // 1. Top(0) or Left(1)
-  uiSymbol = (bLeft == false) ? 0 : 1;
-  m_pcBinIf->encodeBinEP( uiSymbol );
-
-  // 2. Start position (lowest bit first)
-  uiSymbol = ucStart;
-  for( UInt ui = 6; ui > uiDepth; ui-- ) // 64(0)->6, 32(1)->5, 16(2)->4, 8(3)->3, 4(4)->2
-  {
-    m_pcBinIf->encodeBinEP( uiSymbol & 0x1 );
-    uiSymbol >>= 1;
-  }
-
-  // 3. Number of edges
-  uiSymbol = ucEdgeNumber > 0 ? ucEdgeNumber - 1 : 0;
-  for( UInt ui = 7; ui > uiDepth; ui-- ) // 64(0)->7, 32(1)->6, 16(2)->5, 8(3)->4, 4(4)->3
-  {
-    m_pcBinIf->encodeBinEP( uiSymbol & 0x1 );
-    uiSymbol >>= 1;
-  }
-
-  if(uiSymbol != 0)
-  {
-    printf(" ucEdgeNumber %d at depth %d\n",ucEdgeNumber, uiDepth);
-    assert(false);
-  }
-
-  // 4. Edges
-  for( Int iPtr2 = 0; iPtr2 < ucEdgeNumber; iPtr2++ )
-  {
-    UInt uiReorderSymbol = pucSymbolList[iPtr2];
-    for( UInt ui = 0; ui < uiReorderSymbol; ui++ )
-    {
-      m_pcBinIf->encodeBin( 1, m_cRbcDataSCModel.get( 0, 0, 0 ) );
-    }
-
-    if( uiReorderSymbol != 6 )
-      m_pcBinIf->encodeBin( 0, m_cRbcDataSCModel.get( 0, 0, 0 ) );
-  }
-}
-#endif
+#endif
+
 #if H_3D_DIM_SDC
 Void TEncSbac::xCodeSDCResidualData ( TComDataCU* pcCU, UInt uiAbsPartIdx, UInt uiSegment )
@@ -1239,97 +1145,47 @@
       xCodeDmm1WedgeIdx( pcCU->getDmmWedgeTabIdx( dimType, absPartIdx ), g_dmm1TabIdxBits[pcCU->getIntraSizeIdx(absPartIdx)] );
     } break;
-#if !SEC_DMM3_RBC_F0147
-  case( DMM3_IDX ):
-    {
-      xCodeDmm3WedgeIdx( pcCU->getDmm3IntraTabIdx( absPartIdx ), g_dmm3IntraTabIdxBits[pcCU->getIntraSizeIdx(absPartIdx)] );
-    } break;
-#endif
   case( DMM4_IDX ): break;
 #endif
-#if H_3D_DIM_RBC
-  case( RBC_IDX ):
-    {
-      assert( pcCU->getWidth( absPartIdx ) < 64 );
-      xCodeRbcEdge( pcCU, absPartIdx );
-    } break;
-#endif
   default: break;
   }
 
-#if H_3D_DIM_SDC && !QC_DIM_DELTADC_UNIFY_F0132
-  if( pcCU->getSDCFlag( absPartIdx ) )
-  {
-    assert(pcCU->getPartitionSize(absPartIdx)==SIZE_2Nx2N);
-    UInt uiNumSegments = ( dir == DC_IDX || dir == PLANAR_IDX )? 1 : 2;
-    for(UInt uiSeg=0; uiSeg<uiNumSegments; uiSeg++)
-    {
-      xCodeSDCResidualData(pcCU, absPartIdx, uiSeg);
-    }
-  }
-  else
-  {
-#endif
-#if QC_DIM_DELTADC_UNIFY_F0132
-    if( dimType < DIM_NUM_TYPE || pcCU->getSDCFlag( absPartIdx ) )
-#else
-    if( dimType < DIM_NUM_TYPE )
-#endif
-    {
-#if QC_DIM_DELTADC_UNIFY_F0132
-      UInt dimDeltaDC;
-      Pel  deltaDC;
-      UInt uiNumSegments = ( dir == PLANAR_IDX ) ? 1 : 2;
-      if( pcCU->getSDCFlag( absPartIdx ) )
-    {
-        if( uiNumSegments==1 )
-        {
-          dimDeltaDC = pcCU->getSDCSegmentDCOffset(0, absPartIdx) ? 1 : 0;
-        }
-        else
-        {
-          dimDeltaDC = ( pcCU->getSDCSegmentDCOffset(0, absPartIdx) || pcCU->getSDCSegmentDCOffset(1, absPartIdx) ) ? 1 : 0;
-        }
+  if( dimType < DIM_NUM_TYPE || pcCU->getSDCFlag( absPartIdx ) )
+  {
+    UInt dimDeltaDC;
+    Pel  deltaDC;
+    UInt uiNumSegments = ( dir == PLANAR_IDX ) ? 1 : 2;
+    if( pcCU->getSDCFlag( absPartIdx ) )
+    {
+      if( uiNumSegments==1 )
+      {
+        dimDeltaDC = pcCU->getSDCSegmentDCOffset(0, absPartIdx) ? 1 : 0;
       }
       else
       {
-        dimDeltaDC = isDimDeltaDC( dir );
-      }
-
-      m_pcBinIf->encodeBin( dimDeltaDC, m_cDdcFlagSCModel.get(0, 0, uiNumSegments-1) );
-
-      if( dimDeltaDC ) 
-      {
-        for( UInt segment = 0; segment < uiNumSegments; segment++ )
-        {
-          deltaDC = pcCU->getSDCFlag( absPartIdx ) ? pcCU->getSDCSegmentDCOffset(segment, absPartIdx) : pcCU->getDimDeltaDC( dimType, segment, absPartIdx );
-          xCodeDimDeltaDC( deltaDC, uiNumSegments );
-        }
-      }
-#else
-      UInt dimDeltaDC = isDimDeltaDC( dir );
-      m_pcBinIf->encodeBin( dimDeltaDC, m_cDdcFlagSCModel.get(0, 0, (RBC_IDX == dimType) ? 1 : 0) );
-      if( dimDeltaDC ) 
-      {
-        for( UInt segment = 0; segment < 2; segment++ )
-        {
-          xCodeDimDeltaDC( pcCU->getDimDeltaDC( dimType, segment, absPartIdx ), dimType );
-        }
-      }
-#endif
-    }
-#if H_3D_DIM_SDC && !QC_DIM_DELTADC_UNIFY_F0132
-  }
-#endif
+        dimDeltaDC = ( pcCU->getSDCSegmentDCOffset(0, absPartIdx) || pcCU->getSDCSegmentDCOffset(1, absPartIdx) ) ? 1 : 0;
+      }
+    }
+    else
+    {
+      dimDeltaDC = isDimDeltaDC( dir );
+    }
+
+    m_pcBinIf->encodeBin( dimDeltaDC, m_cDdcFlagSCModel.get(0, 0, uiNumSegments-1) );
+
+    if( dimDeltaDC ) 
+    {
+      for( UInt segment = 0; segment < uiNumSegments; segment++ )
+      {
+        deltaDC = pcCU->getSDCFlag( absPartIdx ) ? pcCU->getSDCSegmentDCOffset(segment, absPartIdx) : pcCU->getDimDeltaDC( dimType, segment, absPartIdx );
+        xCodeDimDeltaDC( deltaDC, uiNumSegments );
+      }
+    }
+  }
 }
 
 Void TEncSbac::codeIntraDepthMode( TComDataCU* pcCU, UInt absPartIdx )
 {
-#if SEC_DMM3_RBC_F0147
   UInt codeWordTable[3][7] =    {{0, 0, 0, 1, 0, 0, 0},{0, 2, 6, 14, 15, 0, 0},{0, 1, 0, 0, 0, 0, 0}};
   UInt codeWordLenTable[3][7] = {{0, 1, 0, 1, 0, 0, 0},{1, 2, 3,  4,  4, 0, 0},{1, 1, 0, 0, 0, 0, 0}};
-#else
-    UInt codeWordTable[3][7] =    {{0, 0, 0, 2, 0,6, 7},{0, 0, 2, 7, 3, 6, 2},{0, 1, 0, 0, 0, 0, 0}};
-    UInt codeWordLenTable[3][7] = {{0, 1, 0, 2, 0,3, 3},{1, 1, 2, 3, 2, 3, 2},{1, 1, 0, 0, 0, 0, 0}};
-#endif
   UInt dir = pcCU->getLumaIntraDir( absPartIdx );
   UInt puIdx = (pcCU->getWidth(absPartIdx) == 64) ? 2 : ( (pcCU->getPartitionSize(absPartIdx) == SIZE_NxN && pcCU->getWidth(absPartIdx) == 8) ? 0 : 1 );
@@ -1346,8 +1202,4 @@
     case DMM1_IDX: codeIdx = 3; break;
     case DMM4_IDX: codeIdx = 4; break;
-#if !SEC_DMM3_RBC_F0147
-    case DMM3_IDX: codeIdx = 5; break;
-    case  RBC_IDX: codeIdx = 6; break;
-#endif
     default:                    break;
     }
@@ -1362,17 +1214,4 @@
       default:          codeIdx = 2; break;
     }
-  }
-#endif
-#if !SEC_DMM3_RBC_F0147 
-  if( puIdx==1 )
-  {
-      if( codeIdx==1 || codeIdx==2 || codeIdx==4 )
-      {
-          m_pcBinIf->encodeBinEP( 0 );
-      }
-      else
-      {
-          m_pcBinIf->encodeBinEP( 1 );
-      }
   }
 #endif
Index: /branches/HTM-9.2-dev0/source/Lib/TLibEncoder/TEncSbac.h
===================================================================
--- /branches/HTM-9.2-dev0/source/Lib/TLibEncoder/TEncSbac.h	(revision 763)
+++ /branches/HTM-9.2-dev0/source/Lib/TLibEncoder/TEncSbac.h	(revision 764)
@@ -116,19 +116,9 @@
   Void  xWriteEpExGolomb     ( UInt uiSymbol, UInt uiCount );
   Void  xWriteCoefRemainExGolomb ( UInt symbol, UInt &rParam );
-  #if H_3D_DIM
+#if H_3D_DIM
   Void  xWriteExGolombLevel  ( UInt uiSymbol, ContextModel& rcSCModel  );
-#if QC_DIM_DELTADC_UNIFY_F0132
   Void  xCodeDimDeltaDC      ( Pel valDeltaDC, UInt uiNumSeg );
-#else
-  Void  xCodeDimDeltaDC      ( Pel valDeltaDC, UInt dimType );
-#endif
 #if H_3D_DIM_DMM
   Void  xCodeDmm1WedgeIdx    ( UInt uiTabIdx, Int iNumBit );
-#if !SEC_DMM3_RBC_F0147
-  Void  xCodeDmm3WedgeIdx    ( UInt uiIntraIdx, Int iNumBit );
-#endif
-#endif
-#if H_3D_DIM_RBC
-  Void  xCodeRbcEdge         ( TComDataCU* pcCU, UInt uiAbsPartIdx );
 #endif
 #if H_3D_DIM_SDC
@@ -259,10 +249,4 @@
 #if H_3D_DIM_DMM
   ContextModel3DBuffer m_cDmm1DataSCModel;
-#if !SEC_DMM3_RBC_F0147
-  ContextModel3DBuffer m_cDmm3DataSCModel;
-#endif
-#endif
-#if H_3D_DIM_RBC
-  ContextModel3DBuffer m_cRbcDataSCModel;
 #endif
 #if H_3D_DIM_SDC  
Index: /branches/HTM-9.2-dev0/source/Lib/TLibEncoder/TEncSearch.cpp
===================================================================
--- /branches/HTM-9.2-dev0/source/Lib/TLibEncoder/TEncSearch.cpp	(revision 763)
+++ /branches/HTM-9.2-dev0/source/Lib/TLibEncoder/TEncSearch.cpp	(revision 764)
@@ -1124,30 +1124,22 @@
       {
 #endif
-      for( UInt uiX = 0; uiX < uiWidth; uiX++ )
-      {
-#if LGE_PRED_RES_CODING_DLT_DOMAIN_F0159
-#if DLT_DIFF_CODING_IN_PPS
-        if( (isDimMode( uiLumaPredMode ) || uiLumaPredMode == HOR_IDX || uiLumaPredMode == VER_IDX || uiLumaPredMode == DC_IDX) && pcCU->getSlice()->getIsDepth() && pcCU->getSlice()->getPPS()->getDLT()->getUseDLTFlag(pcCU->getSlice()->getLayerIdInVps()) )
-#else
-        if( (isDimMode( uiLumaPredMode ) || uiLumaPredMode == HOR_IDX || uiLumaPredMode == VER_IDX || uiLumaPredMode == DC_IDX) && pcCU->getSlice()->getIsDepth() && pcCU->getSlice()->getVPS()->getUseDLTFlag(pcCU->getSlice()->getLayerIdInVps()) )
-#endif
+        for( UInt uiX = 0; uiX < uiWidth; uiX++ )
+        {
+#if H_3D_DIM
+          if( (isDimMode( uiLumaPredMode ) || uiLumaPredMode == HOR_IDX || uiLumaPredMode == VER_IDX || uiLumaPredMode == DC_IDX) && pcCU->getSlice()->getIsDepth() && pcCU->getSlice()->getPPS()->getDLT()->getUseDLTFlag(pcCU->getSlice()->getLayerIdInVps()) )
           {
-#if DLT_DIFF_CODING_IN_PPS
             pResi[ uiX ] = pcCU->getSlice()->getPPS()->getDLT()->depthValue2idx( pcCU->getSlice()->getLayerIdInVps(), pOrg[ uiX ] ) - pcCU->getSlice()->getPPS()->getDLT()->depthValue2idx( pcCU->getSlice()->getLayerIdInVps(), pPred[ uiX ] );
-#else
-            pResi[ uiX ] = pcCU->getSlice()->getVPS()->depthValue2idx( pcCU->getSlice()->getLayerIdInVps(), pOrg[ uiX ] ) - pcCU->getSlice()->getVPS()->depthValue2idx( pcCU->getSlice()->getLayerIdInVps(), pPred[ uiX ] );
-#endif
           }
           else
           {
-              pResi[ uiX ] = pOrg[ uiX ] - pPred[ uiX ];
+            pResi[ uiX ] = pOrg[ uiX ] - pPred[ uiX ];
           }
 #else
-        pResi[ uiX ] = pOrg[ uiX ] - pPred[ uiX ];
-#endif
-      }
-      pOrg  += uiStride;
-      pResi += uiStride;
-      pPred += uiStride;
+          pResi[ uiX ] = pOrg[ uiX ] - pPred[ uiX ];
+#endif
+        }
+        pOrg  += uiStride;
+        pResi += uiStride;
+        pPred += uiStride;
 #if H_3D_DIM_ENC
       }
@@ -1209,21 +1201,13 @@
       for( UInt uiX = 0; uiX < uiWidth; uiX++ )
       {
-#if LGE_PRED_RES_CODING_DLT_DOMAIN_F0159
-#if DLT_DIFF_CODING_IN_PPS
+#if H_3D_DIM
         if( (isDimMode( uiLumaPredMode ) || uiLumaPredMode == HOR_IDX || uiLumaPredMode == VER_IDX || uiLumaPredMode == DC_IDX) && pcCU->getSlice()->getIsDepth() && pcCU->getSlice()->getPPS()->getDLT()->getUseDLTFlag(pcCU->getSlice()->getLayerIdInVps()) )
-#else
-        if( (isDimMode( uiLumaPredMode ) || uiLumaPredMode == HOR_IDX || uiLumaPredMode == VER_IDX || uiLumaPredMode == DC_IDX) && pcCU->getSlice()->getIsDepth() && pcCU->getSlice()->getVPS()->getUseDLTFlag(pcCU->getSlice()->getLayerIdInVps()) )
-#endif
-          {
-#if DLT_DIFF_CODING_IN_PPS
-            pReco    [ uiX ] = pcCU->getSlice()->getPPS()->getDLT()->idx2DepthValue( pcCU->getSlice()->getLayerIdInVps(), Clip3( 0, pcCU->getSlice()->getPPS()->getDLT()->getNumDepthValues( pcCU->getSlice()->getLayerIdInVps() ) - 1, pcCU->getSlice()->getPPS()->getDLT()->depthValue2idx( pcCU->getSlice()->getLayerIdInVps(), pPred[ uiX ] ) + pResi[ uiX ] ) );
-#else
-            pReco    [ uiX ] = pcCU->getSlice()->getVPS()->idx2DepthValue( pcCU->getSlice()->getLayerIdInVps(), Clip3( 0, pcCU->getSlice()->getVPS()->getNumDepthValues( pcCU->getSlice()->getLayerIdInVps() ) - 1, pcCU->getSlice()->getVPS()->depthValue2idx( pcCU->getSlice()->getLayerIdInVps(), pPred[ uiX ] ) + pResi[ uiX ] ) );
-#endif
-          }
-          else
-          {
-              pReco    [ uiX ] = ClipY( pPred[ uiX ] + pResi[ uiX ] );
-          }
+        {
+          pReco    [ uiX ] = pcCU->getSlice()->getPPS()->getDLT()->idx2DepthValue( pcCU->getSlice()->getLayerIdInVps(), Clip3( 0, pcCU->getSlice()->getPPS()->getDLT()->getNumDepthValues( pcCU->getSlice()->getLayerIdInVps() ) - 1, pcCU->getSlice()->getPPS()->getDLT()->depthValue2idx( pcCU->getSlice()->getLayerIdInVps(), pPred[ uiX ] ) + pResi[ uiX ] ) );
+        }
+        else
+        {
+          pReco    [ uiX ] = ClipY( pPred[ uiX ] + pResi[ uiX ] );
+        }
 #else
         pReco    [ uiX ] = ClipY( pPred[ uiX ] + pResi[ uiX ] );
@@ -2924,23 +2908,5 @@
               biSegmentation = &(g_dmmWedgeLists[(g_aucConvertToBit[uiWidth])][uiTabIdx]);
             } break;
-#if !SEC_DMM3_RBC_F0147
-          case( DMM3_IDX ):
-            {
-
-              TComPic*      pcPicTex = pcCU->getSlice()->getTexturePic();
-              TComDataCU* pcColTexCU = pcPicTex->getCU( pcCU->getAddr() );
-              UInt      uiTexPartIdx = pcCU->getZorderIdxInCU() + uiPartOffset;
-              Int   uiColTexIntraDir = pcColTexCU->isIntra( uiTexPartIdx ) ? pcColTexCU->getLumaIntraDir( uiTexPartIdx ) : 255;
-
-              if( uiColTexIntraDir > DC_IDX && uiColTexIntraDir < 35 )
-              {
-             UInt uiIntraTabIdx = 0;
-              xSearchDmm3Wedge( pcCU, uiPartOffset, piOrg, uiStride, uiWidth, uiHeight, uiTabIdx, uiIntraTabIdx, uiColTexIntraDir );
-              pcCU->setDmmWedgeTabIdxSubParts( uiTabIdx, dmmType, uiPartOffset, uiDepth + uiInitTrDepth );
-              pcCU->setDmm3IntraTabIdxSubParts( uiIntraTabIdx, uiPartOffset, uiDepth + uiInitTrDepth );
-              biSegmentation = &(g_dmmWedgeLists[(g_aucConvertToBit[uiWidth])][uiTabIdx]);
-              }
-            } break;
-#endif
+
           case( DMM4_IDX ):
             {
@@ -2968,27 +2934,4 @@
       }
 #endif
-#if H_3D_DIM_RBC
-      if( m_pcEncCfg->getUseRBC()
-#if H_3D_FAST_DEPTH_INTRA
-          && (uiRdModeList[0] != PLANAR_IDX || varCU >= varThreshold)
-#endif
-        )
-      {
-        if( xSearchRbcEdge( pcCU, uiPartOffset, piOrg, uiStride, uiWidth, uiHeight ) )
-        {
-          Pel deltaDC1 = 0; Pel deltaDC2 = 0;
-#if QC_DIM_DELTADC_UNIFY_F0132
-          xSearchDmmDeltaDCs( pcCU, uiPartOffset, piOrg, piPred, uiStride, pcCU->getEdgePartition( uiPartOffset ), uiWidth, uiWidth, uiHeight, deltaDC1, deltaDC2 );
-#else
-          xSearchRbcDeltaDCs( pcCU, uiPartOffset, piOrg, piPred, uiStride, pcCU->getEdgePartition( uiPartOffset ), uiWidth, uiWidth, uiHeight, deltaDC1, deltaDC2 );
-#endif
-          pcCU->setDimDeltaDC( RBC_IDX, 0, uiPartOffset, deltaDC1 );
-          pcCU->setDimDeltaDC( RBC_IDX, 1, uiPartOffset, deltaDC2 );
-
-          uiRdModeList[ numModesForFullRD++ ] = (2*RBC_IDX  +DIM_OFFSET);
-          uiRdModeList[ numModesForFullRD++ ] = (2*RBC_IDX+1+DIM_OFFSET);
-        }
-      }
-#endif
     }
 #endif
@@ -3029,9 +2972,5 @@
       Bool bTestZeroResi = false;
 #if H_3D_DIM_ENC
-#if LGE_BUGFIX_F0158
       bTestZeroResi |= pcCU->getSlice()->getIsDepth() && !pcCU->getSlice()->isIRAP();
-#else
-      bTestZeroResi |= pcCU->getSlice()->getIsDepth() && pcCU->getSlice()->isIRAP();
-#endif
 #endif
 #if H_3D_DIM_SDC
@@ -3660,5 +3599,5 @@
     if ( iPUIdx == 0 )
     {
-#if ETRIKHU_MERGE_REUSE_F0093
+#if H_3D
       pcCU->initAvailableFlags();
       pcCU->getInterMergeCandidates( 0, 0, cMvFieldNeighbours,uhInterDirNeighbours, numValidMergeCand);
@@ -3674,11 +3613,5 @@
         );
 #else
-      pcCU->getInterMergeCandidates( 0, 0, cMvFieldNeighbours,uhInterDirNeighbours
-#if H_3D_VSP
-                                   , vspFlag
-                                   , inheritedVSPDisInfo
-#endif
-                                   , numValidMergeCand
-                                   );
+      pcCU->getInterMergeCandidates( 0, 0, cMvFieldNeighbours,uhInterDirNeighbours, numValidMergeCand );
 #endif
     }
@@ -3687,5 +3620,5 @@
   else
   {
-#if ETRIKHU_MERGE_REUSE_F0093
+#if H_3D
     pcCU->initAvailableFlags();
     pcCU->getInterMergeCandidates( uiAbsPartIdx, iPUIdx, cMvFieldNeighbours,uhInterDirNeighbours, numValidMergeCand);
@@ -3701,10 +3634,5 @@
       );
 #else
-    pcCU->getInterMergeCandidates( uiAbsPartIdx, iPUIdx, cMvFieldNeighbours, uhInterDirNeighbours
-#if H_3D_VSP
-                                 , vspFlag
-                                 , inheritedVSPDisInfo
-#endif
-                                 , numValidMergeCand
+    pcCU->getInterMergeCandidates( uiAbsPartIdx, iPUIdx, cMvFieldNeighbours, uhInterDirNeighbours, numValidMergeCand
                                  );
 #endif
